summaryrefslogtreecommitdiff
path: root/bin/locmaint
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2020-02-09 12:40:52 -0700
committerSean Whitton <spwhitton@spwhitton.name>2020-02-09 12:45:42 -0700
commitf819f031448e3ccdb953972ae2b673b662d953dc (patch)
treea4bb97ae12270d29b3d04795cfbec8361e4c1b31 /bin/locmaint
parentf361945bd5cdb48b72879bdb66aa37555993f6be (diff)
downloaddotfiles-f819f031448e3ccdb953972ae2b673b662d953dc.tar.gz
eject coldbkup drive
Diffstat (limited to 'bin/locmaint')
-rwxr-xr-xbin/locmaint6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/locmaint b/bin/locmaint
index a1dcb1a6..a0e13139 100755
--- a/bin/locmaint
+++ b/bin/locmaint
@@ -166,9 +166,9 @@ sub main {
if ($do_coldbkup) {
$coldbkup_root = rel2abs($coldbkup_root);
do_coldbkup($coldbkup_root);
- # TODO attempt to unmount
- # system "udisksctl unmount --object-path $coldbkup_root";
- # system "udisksctl power-off --object-path $coldbkup_root";
+ script_status("ejecting $coldbkup_root");
+ system "gio", "mount", "--eject", $coldbkup_root;
+ die "failed to eject $coldbkup_root!" if $?;
}
do_workstation_duplicity() if $do_workstation_duplicity;
do_sysmaint() if $do_sysmaint;